EKNO YUAG - Bug #3681

Apps Mobile - Validasi Overtime
06/20/2025 04:01 PM - Mr Ikmal

Status: Assigned Start date: 06/20/2025
Priority: High Due date: 06/24/2025
Assignee: M Azid Wahyudi % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

Dear Tim Developer,

Mohon bantuannua untuk dibuatkan validasi agar ketika End Time yang diinput lebih kecil dari Start Time pada tanggal yang sama,
maka sistem menampilkan peringatan dan tidak dapat di submit.

Sebagai contoh, saya mengajukan lembur dengan Start Time pukul 15:00 dan End Time pukul 13:00 di tanggal yang sama.
Seharusnya pengajuan tersebut tidak dapat diproses, namun saat dicoba, pengajuan tetap bisa di submit dan statusnya Success.

Terima kasih.

History

#1 - 06/20/2025 04:06 PM - Kezia Pawitra Yulianti

- Due date set to 06/24/2025

- Status changed from New to Assigned

- Assignee changed from Kezia Pawitra Yulianti to Mr Ikmal
- Priority changed from Normal to High

sepertinya perlu di list bbrp validasi lain deh Mal, biar sekalian aja. atau coba diskusi ama azid baiknya di bedakan gak redmine nya?

Seperti yg saya jelaskan tadi di tele soal jam lembur dan jam pulang absen/clock out harus sesuai dan tidak boleh lebih lama dr jam pulang absen/
clock outnya.

Tks

#2 - 06/20/2025 05:48 PM - Mr Ikmal

- Subject changed from Apps Mobile - Validasi Start Time dan End Time Overtime to Apps Mobile - Validasi Overtime

- Assignee changed from Mr lkmal to Kezia Pawitra Yulianti

Mohon bantuannya untuk implementasi validasi tambahan terkait approval task oleh atasan, dengan ketentuan sebagai berikut:

1. Saat karyawan create task, tidak wajib ada data attendance. Jadi pengajuan boleh dilakukan untuk tanggal sebelumnya (backdate) maupun
tanggal ke depan (future)

2. Namun saat atasan melakukan approval, wajib ada data Clock Out pada attendance karyawan di tanggal terkait. Karena jam pada task akan
divalidasi dan harus sesuai dengan data absen pulang (boleh kurang dari jam absen pulang, tapi ga boleh lebih)

3. Jika data jam pada task tidak sesuai dengan data absen pulang (boleh kurang dari jam absen pulang, tapi ga boleh lebih), maka:

- Ketika klik Approve, Munculkan pop-up validasi yang menjelaskan data yang tidak sesuai (misalnya: "Jam selesai lembur tidak sesuai/melebihi
dengan jam absen pulang")

- Jadi yang diizinkan hanya Revise atau Reject
- Jika memilih Revise atau Reject, maka kolom comment wajib diisi sebagai alasan kenapa tidak di approve Overtime nya

Terima kasih,
Mohon koreksi nya juga ya bu Kezia

#3 - 06/20/2025 05:58 PM - Kezia Pawitra Yulianti

- Assignee changed from Kezia Pawitra Yulianti to M Azid Wahyudi
minta tolong ya zid, tks
